  Alexandre Oliva  <oliva@dcc.unicamp.br>

	* kaffe/kaffevm/systems/unix-jthreads/jthread.c
	(jthreadedFileDescriptor): ENOTTY is an acceptable error for an
	ioctl FIOASYNC call

Index: kaffe/kaffevm/systems/unix-jthreads/jthread.c
===================================================================
RCS file: /home/msc/oliva/src/.cvs/kaffe/kaffe/kaffevm/systems/unix-jthreads/jthread.c,v
retrieving revision 1.1.1.6
diff -u -r1.1.1.6 jthread.c
--- kaffe/kaffevm/systems/unix-jthreads/jthread.c	1998/08/05 22:17:57	1.1.1.6
+++ kaffe/kaffevm/systems/unix-jthreads/jthread.c	1998/08/06 02:47:32
@@ -1507,8 +1507,8 @@
 	 * (Solaris sets errno to ENXIO in this case.)
 	 */
 	r = ioctl(fd, FIOASYNC, &on);
-	if (r < 0 && errno != ENXIO) {
-		/* Defines ENXIO to be an acceptable error */
+	if (r < 0 && errno != ENXIO && errno != ENOTTY) {
+		/* Defines ENXIO and ENOTTY to be acceptable errors */
 		perror("FIOASYNC");
 		return (r);
         }
